Bug 652836 (CVE-2009-5016) - CVE-2009-5016 php: XSS and SQL injection bypass via crafted overlong UTF-8 encoded string
Summary: CVE-2009-5016 php: XSS and SQL injection bypass via crafted overlong UTF-8 en...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-5016
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 626733 626734 626735 626736 649186 650877 651953 670461
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-12 22:10 UTC by Vincent Danen
Modified: 2019-09-29 12:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-04 09:12:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0919 normal SHIPPED_LIVE Moderate: php security update 2010-11-29 21:33:48 UTC
Red Hat Product Errata RHSA-2011:0195 normal SHIPPED_LIVE Moderate: php security update 2011-02-03 18:56:12 UTC

Description Vincent Danen 2010-11-12 22:10:38 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-5016 to
the following vulnerability:

Name: CVE-2009-5016
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-5016
Assigned: 20101112
Reference: MISC: http://sirdarckcat.blogspot.com/2009/10/couple-of-unicode-issues-on-php-and.html
Reference: MISC: http://www.blackhat.com/presentations/bh-usa-09/VELANAVA/BHUSA09-VelaNava-FavoriteXSS-SLIDES.pdf
Reference: CONFIRM: http://bugs.php.net/bug.php?id=49687

Integer overflow in the xml_utf8_decode function in ext/xml/xml.c in
PHP before 5.2.11 makes it easier for remote attackers to bypass
cross-site scripting (XSS) and SQL injection protection mechanisms via
a crafted string that uses overlong UTF-8 encoding, a different
vulnerability than CVE-2010-3870.

Comment 1 Kurt Seifried 2010-11-13 06:29:14 UTC
CVE duplicate? 

http://bugs.php.net/bug.php?id=49687
[2010-11-02 15:34 UTC] pajoye@php.net
CVE-2010-3870 has been assigned to this issue.

Comment 2 Kurt Seifried 2010-11-13 07:32:02 UTC
Oops nevermind. xml_utf8_decode != utf8_decode

Comment 3 Huzaifa S. Sidhpurwala 2010-11-13 10:54:58 UTC
How is this different from:
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2010-3870 ?

Comment 4 Huzaifa S. Sidhpurwala 2010-11-15 05:09:13 UTC
Ignore my last statement, however it seems that the svn fix for 2010-3870 fixed this issue as well:

http://svn.php.net/viewvc/?view=revision&revision=304959

Comment 6 Huzaifa S. Sidhpurwala 2010-11-15 05:58:03 UTC
Created php tracking bugs for this issue

Affects: fedora-all [bug 649186]

Comment 8 errata-xmlrpc 2010-11-29 21:34:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0919 https://rhn.redhat.com/errata/RHSA-2010-0919.html

Comment 10 errata-xmlrpc 2011-02-03 18:56:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0195 https://rhn.redhat.com/errata/RHSA-2011-0195.html


Note You need to log in before you can comment on or make changes to this bug.